 « main « src « datarouter-node - dmaap/datarouter - The Data Routing System project is intended to provide a common framework by which data producers can make data available to data consumers and a way for potential consumers to find feeds with the data they require. The interface to DR is exposed as a RESTful web service known as the DR Publishing and Delivery API</title>
<meta name='generator' content='cgit '/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-data/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.onap.org/dmaap/datarouter/atom/datarouter-node/src/main/resources/node.properties?h=montreal' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.onap.org/dmaap/datarouter' title='dmaap/datarouter Git repository'/>
</head>
<body>
<div id="lfcollabprojects-header">
  <div class="gray-diagonal">
    <div class="header-inner">
      <a
        id="lfcollabprojects-logo"
        href="http://collabprojects.linuxfoundation.org"
        >Linux Foundation Collaborative Projects</a
      >
    </div>
  </div>
</div>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit-data/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a title='dmaap/datarouter' href='/dmaap/datarouter/'>dmaap/datarouter</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='eee98a6c984ab48f05fadaf0a126aaa917bfa820'/><select name='h' onchange='this.form.submit();'>
<option value='2.0.0-ONAP'>2.0.0-ONAP</option>
<option value='beijing'>beijing</option>
<option value='casablanca'>casablanca</option>
<option value='dublin'>dublin</option>
<option value='elalto'>elalto</option>
<option value='frankfurt'>frankfurt</option>
<option value='guilin'>guilin</option>
<option value='honolulu'>honolulu</option>
<option value='istanbul'>istanbul</option>
<option value='jakarta'>jakarta</option>
<option value='kohn'>kohn</option>
<option value='london'>london</option>
<option value='master'>master</option>
<option value='montreal' selected='selected'>montreal</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>The Data Routing System project is intended to provide a common framework by which data producers can make data available to data consumers and a way for potential consumers to find feeds with the data they require. The interface to DR is exposed as a RESTful web service known as the DR Publishing and Delivery API</td><td class='sub right'>Grokmirror user</td></tr></table>
<table class='tabs'><tr><td>
<a href='/dmaap/datarouter/about/?h=montreal'>about</a><a href='/dmaap/datarouter/?h=montreal'>summary</a><a href='/dmaap/datarouter/refs/?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>refs</a><a href='/dmaap/datarouter/log/datarouter-node/src/main/resources/node.properties?h=montreal'>log</a><a class='active' href='/dmaap/datarouter/tree/datarouter-node/src/main/resources/node.properties?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>tree</a><a href='/dmaap/datarouter/commit/datarouter-node/src/main/resources/node.properties?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>commit</a><a href='/dmaap/datarouter/diff/datarouter-node/src/main/resources/node.properties?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>diff</a><a href='/dmaap/datarouter/stats/datarouter-node/src/main/resources/node.properties?h=montreal'>stats</a></td><td class='form'><form class='right' method='get' action='/dmaap/datarouter/log/datarouter-node/src/main/resources/node.properties'>
<input type='hidden' name='h' value='montreal'/><input type='hidden' name='id' value='eee98a6c984ab48f05fadaf0a126aaa917bfa820'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/dmaap/datarouter/tree/?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>root</a>/<a href='/dmaap/datarouter/tree/datarouter-node?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>datarouter-node</a>/<a href='/dmaap/datarouter/tree/datarouter-node/src?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>src</a>/<a href='/dmaap/datarouter/tree/datarouter-node/src/main?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>main</a>/<a href='/dmaap/datarouter/tree/datarouter-node/src/main/resources?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>resources</a>/<a href='/dmaap/datarouter/tree/datarouter-node/src/main/resources/node.properties?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>node.properties</a></div><div class='content'>blob: 7c076359504717f8d0c446170327fb74558d2e65 (<a href='/dmaap/datarouter/plain/datarouter-node/src/main/resources/node.properties?h=montreal&amp;id=eee98a6c984ab48f05fadaf0a126aaa917bfa820'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
</pre></td>
<td class='lines'><pre><code><style>.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c">#-------------------------------------------------------------------------------</span>
<span class="c"># ============LICENSE_START==================================================</span>
<span class="c"># * org.onap.dmaap</span>
<span class="c"># * ===========================================================================</span>
<span class="c"># * Copyright © 2017 AT&amp;T Intellectual Property. All rights reserved.</span>
<span class="c"># * ===========================================================================</span>
<span class="c"># * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span>
<span class="c"># * you may not use this file except in compliance with the License.</span>
<span class="c"># * You may obtain a copy of the License at</span>
<span class="c"># *</span>
<span class="c">#  *      http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c"># *</span>
<span class="c">#  * Unless required by applicable law or agreed to in writing, software</span>
<span class="c"># * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span>
<span class="c"># * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="c"># * See the License for the specific language governing permissions and</span>
<span class="c"># * limitations under the License.</span>
<span class="c"># * ============LICENSE_END====================================================</span>
<span class="c"># *</span>
<span class="c"># * ECOMP is a trademark and service mark of AT&amp;T Intellectual Property.</span>
<span class="c"># *</span>
<span class="c">#-------------------------------------------------------------------------------</span>
<span class="c">#</span>
<span class="c">#    Configuration parameters set at startup for the DataRouter node</span>
<span class="c">#</span>
<span class="c">#    URL to retrieve dynamic configuration</span>
<span class="na">ProvisioningURL</span> <span class="o">=</span> <span class="s">https://dmaap-dr-prov:8443/internal/prov</span>
<span class="c">#</span>
<span class="c">#    URL to upload PUB/DEL/EXP logs</span>
<span class="na">LogUploadURL</span> <span class="o">=</span> <span class="s">https://dmaap-dr-prov:8443/internal/logs</span>
<span class="c">#</span>
<span class="c">#    The port number for http as seen within the server</span>
<span class="na">IntHttpPort</span> <span class="o">=</span> <span class="s">8080</span>
<span class="c">#</span>
<span class="c">#    The port number for https as seen within the server</span>
<span class="na">IntHttpsPort</span> <span class="o">=</span> <span class="s">8443</span>
<span class="c">#</span>
<span class="c">#    The external port number for https taking port mapping into account</span>
<span class="na">ExtHttpsPort</span> <span class="o">=</span> <span class="s">443</span>
<span class="c">#</span>
<span class="c">#    The minimum interval between fetches of the dynamic configuration from the provisioning server</span>
<span class="na">MinProvFetchInterval</span> <span class="o">=</span> <span class="s">10000</span>
<span class="c">#</span>
<span class="c">#    The minimum interval between saves of the redirection data file</span>
<span class="na">MinRedirSaveInterval</span> <span class="o">=</span> <span class="s">10000</span>
<span class="c">#</span>
<span class="c">#    The path to the directory where log files are stored</span>
<span class="na">LogDir</span> <span class="o">=</span> <span class="s">/opt/app/datartr/logs</span>
<span class="c">#</span>
<span class="c">#    The retention interval (in days) for log files</span>
<span class="na">LogRetention</span> <span class="o">=</span> <span class="s">30</span>
<span class="c">#</span>
<span class="c">#    The path to the directories where data and meta data files are stored</span>
<span class="na">SpoolDir</span> <span class="o">=</span> <span class="s">/opt/app/datartr/spool</span>
<span class="c">#</span>
<span class="c">#    The path to the redirection data file</span>
<span class="na">RedirectionFile</span> <span class="o">=</span> <span class="s">etc/redirections.dat</span>
<span class="c">#</span>
<span class="c">#    The type of keystore for https</span>
<span class="na">KeyStoreType</span> <span class="o">=</span> <span class="s">jks</span>
<span class="c">#</span>
<span class="c">#    The path to the keystore for https</span>
<span class="na">KeyStoreFile</span> <span class="o">=</span> <span class="s">/opt/app/datartr/aaf_certs/org.onap.dmaap-dr.jks</span>
<span class="c">#</span>
<span class="c">#    The password for the https keystore</span>
<span class="na">KeyStorePassword</span><span class="o">=</span><span class="s">WGxd2P6MDo*Bi4+UdzWs{?$8</span>
<span class="c">#</span>
<span class="c">#    The password for the private key in the https keystore</span>
<span class="na">KeyPassword</span><span class="o">=</span><span class="s">WGxd2P6MDo*Bi4+UdzWs{?$8</span>
<span class="c">#</span>
<span class="c">#    The type of truststore for https</span>
<span class="na">TrustStoreType</span> <span class="o">=</span> <span class="s">jks</span>
<span class="c">#</span>
<span class="c">#    The path to the truststore for https</span>
<span class="na">TrustStoreFile</span> <span class="o">=</span> <span class="s">/opt/app/datartr/aaf_certs/org.onap.dmaap-dr.trust.jks</span>
<span class="c">#</span>
<span class="c">#    The password for the https truststore</span>
<span class="na">TrustStorePassword</span><span class="o">=</span><span class="s">)OBvCd{e{aWq.^mJJdX:S:1&amp;</span>
<span class="c">#</span>
<span class="c">#    The path to the file used to trigger an orderly shutdown</span>
<span class="na">QuiesceFile</span> <span class="o">=</span> <span class="s">etc/SHUTDOWN</span>
<span class="c">#</span>
<span class="c">#    The key used to generate passwords for node to node transfers</span>
<span class="na">NodeAuthKey</span> <span class="o">=</span> <span class="s">Node123!</span>
<span class="c">#</span>
<span class="c">#    DR_NODE DEFAULT ENABLED TLS PROTOCOLS</span>
<span class="na">NodeHttpsProtocols</span> <span class="o">=</span> <span class="s">TLSv1.1|TLSv1.2</span>
<span class="c">#</span>
<span class="c">#    AAF type to generate permission string</span>
<span class="na">AAFType</span> <span class="o">=</span> <span class="s">org.onap.dmaap-dr.feed</span>
<span class="c">#</span>
<span class="c">#    AAF default instance to generate permission string - default should be legacy</span>
<span class="na">AAFInstance</span> <span class="o">=</span> <span class="s">legacy</span>
<span class="c">#</span>
<span class="c">#    AAF action to generate permission string - default should be publish</span>
<span class="na">AAFAction</span> <span class="o">=</span> <span class="s">publish</span>
<span class="c">#</span>
<span class="c">#    AAF URL to connect to AAF server</span>
<span class="na">AafUrl</span> <span class="o">=</span> <span class="s">https://aaf-onap-test.osaaf.org:8095</span>
<span class="c">#</span>
<span class="c">#    AAF CADI enabled flag</span>
<span class="na">CadiEnabled</span> <span class="o">=</span> <span class="s">false</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2017 <a href="https://www.onap.org/">ONAP</a> a Linux Foundation
        Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="http://www.linuxfoundation.org/privacy">privacy policy</a> and
        <a href="http://www.linuxfoundation.org/terms">terms of use</a>
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
